module BuilderDirs (BuilderDirs(..), currentDir) where

import Control.Applicative (liftA2)
import Path (Abs, Dir, Path, Rel, (</>))
import Control.Monad.Trans.Reader (ReaderT, asks)

data BuilderDirs = BuilderDirs
  { _root :: Path Abs Dir
  , _subdir :: Path Rel Dir
  }

currentDir :: ReaderT BuilderDirs IO (Path Abs Dir)
currentDir = liftA2 (</>) (asks _root) (asks _subdir)
